// creator  : weidu.exe (version 23100)
// argument : FALDOR.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~FALDOR~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 6 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
~ THEN BEGIN 0 // from:
  SAY #777 /* ~And what would I have to do to assume this role? What would be needed of me?~ */
  IF ~~ THEN REPLY #782 /* ~You will do ceremonial things, but nothing overtly stressful. Please, the Roenalls would not use this place in a way that would honor my father.~ */ JOURNAL #11854 /* ~Perform Bodhi's tasks to receive her aid.

Palern Flynn has been set free, unharmed, his captors dead.  Now it is time to return to Bodhi and tell her that the deed is done.~ */ GOTO 3
  IF ~~ THEN REPLY #783 /* ~You will prove a daunting figure, and my servants and I will be shielded from the Roenalls. Please, even Auntie will push for their coming if I do not act quickly.~ */ GOTO 2
END

IF WEIGHT #2 /* Triggers after states #: 6 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 1 // from:
  SAY #778 /* ~<PRO_LADYLORD> <CHARNAME>. I like the sound of that.~ */
  IF ~~ THEN DO ~

~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #779 /* ~Glass Dust~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.0
  SAY #780 /* ~You are just trying to saddle your troubles on to me!~ */
  IF ~~ THEN DO ~JoinParty()
~ JOURNAL #6599 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #781 /* ~Please, this will ensure that the Roenalls do not take control. They are oppressive nobles, and will not direct this place in a way that will honor my father.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 6 even though they appear after this state */
~True()
~ THEN BEGIN 5 // from:
  SAY #6138 /* ~T'rahcie's Plate +5~ */
  IF ~~ THEN REPLY #10887 /* ~Cernd is no concern. I am a Druid of Shadow and the hierarchy is in shambles. If he thinks he can change this then he is wrong!~ */ EXIT
  IF ~~ THEN REPLY #10888 /* ~Spell Deflection~ */ DO ~JoinParty()
~ JOURNAL #6599 /* ~~ */ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #6139 /* ~Pride of the Legion +2~ */
  IF ~~ THEN JOURNAL #6600 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #14741 /* ~Baron Ployer~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY #14742 /* ~Baron Ployer~ */
  IF ~~ THEN DO ~~ EXIT
END
